Bug 1705968 - [Bug] Logs flooded with repeated current user without actual action
Summary: [Bug] Logs flooded with repeated current user without actual action
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Logging
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Lukas Zapletal
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2019-05-03 10:11 UTC by Oliver Falk
Modified: 2020-04-14 13:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26681 Normal Closed Create separate logger 'taxonomy' 2020-04-15 14:48:26 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:42 UTC

Description Oliver Falk 2019-05-03 10:11:15 UTC
Description of problem:
Logs are flooded with redundant/unnecessary information.

Eg.
    ---------------
    2019-03-08T15:36:17 [I|app|b51bad81] Processing by ForemanTasks::Api::TasksController#bulk_search as */*
    2019-03-08T15:36:17 [I|app|b51bad81]   Parameters: {"per_page"=>9999999, "searches"=>[{"type"=>"task", "task_id"=>"498090f5-6885-4441-a04c-ca0133e6e554"}], "task"=>{}}
    2019-03-08T15:36:17 [I|app|b51bad81] Authorized user xxxx(xxxx )
    2019-03-08T15:36:17 [I|app|b51bad81] Current user set to xxxx (admin)
    2019-03-08T15:36:17 [I|app|b51bad81] Completed 200 OK in 124ms (Views: 0.7ms | ActiveRecord: 29.2ms)
    2019-03-08T15:36:27 [I|app|] Started POST "/foreman_tasks/api/tasks/bulk_search" for 127.0.0.1 at 2019-03-08 15:36:27 +0000
    2019-03-08T15:36:27 [I|app|e73a61f4] Processing by ForemanTasks::Api::TasksController#bulk_search as */*
    2019-03-08T15:36:27 [I|app|e73a61f4]   Parameters: {"per_page"=>9999999, "searches"=>[{"type"=>"task", "task_id"=>"498090f5-6885-4441-a04c-ca0133e6e554"}], "task"=>{}}
    2019-03-08T15:36:27 [I|app|e73a61f4] Authorized user xxxx(xxxx )
    2019-03-08T15:36:27 [I|app|e73a61f4] Current user set to xxxx (admin)
    2019-03-08T15:36:27 [I|app|e73a61f4] Completed 200 OK in 138ms (Views: 1.1ms | ActiveRecord: 24.3ms)
    2019-03-08T15:36:38 [I|app|] Started POST "/foreman_tasks/api/tasks/bulk_search" for 127.0.0.1 at 2019-03-08 15:36:38 +0000
    2019-03-08T15:36:38 [I|app|a3cc2315] Processing by ForemanTasks::Api::TasksController#bulk_search as */*
    2019-03-08T15:36:38 [I|app|a3cc2315]   Parameters: {"per_page"=>9999999, "searches"=>[{"type"=>"task", "task_id"=>"498090f5-6885-4441-a04c-ca0133e6e554"}], "task"=>{}}
    2019-03-08T15:36:38 [I|app|a3cc2315] Authorized user xxxx(xxxx )
    2019-03-08T15:36:38 [I|app|a3cc2315] Current user set to xxxx (admin)
    2019-03-08T15:36:38 [I|app|a3cc2315] Completed 200 OK in 130ms (Views: 0.8ms | ActiveRecord: 24.9ms)

    < here is also some issue, why is 36:38, before 36:11

    2019-03-08T15:36:11 [I|app|] Current user set to xxxx (admin)
    2019-03-08T15:36:11 [I|app|] Current user set to xxxx (admin)
    2019-03-08T15:36:11 [I|app|] Current user set to xxxx (admin)
    2019-03-08T15:36:11 [I|app|] Current user set to xxxx (admin)
    2019-03-08T15:36:11 [I|app|] Current user set to xxxx (admin)
    2019-03-08T15:36:11 [I|app|] Current user set to xxxx (admin)

    [ ... ] - list goes on and on and on

    2019-03-08T15:36:43 [I|app|] Started POST "/foreman_tasks/api/tasks/bulk_search" for 127.0.0.1 at 2019-03-08 15:36:43 +0000
    2019-03-08T15:36:43 [I|app|c1f24fd1] Processing by ForemanTasks::Api::TasksController#bulk_search as */*
    2019-03-08T15:36:43 [I|app|c1f24fd1]   Parameters: {"per_page"=>9999999, "task"=>{}}
.....

Note: Also the timing is not sequential, after 15:36:38 it shows 15:36:11. See hint above.


Version-Release number of selected component (if applicable): 6.5


How reproducible: Unsure.


Steps to Reproduce: Unsure.


Actual results:
Unnecessary logs.


Expected results:
Sequential logs and no redundant information that floods the logs.

Additional info:
Customer case will be linked.

Comment 4 Peter Vreman 2019-06-17 07:37:50 UTC
Confirmed that patch https://github.com/theforeman/foreman/pull/6712 fixes my issue of flooding the log

Comment 5 Bryan Kearney 2019-07-01 10:04:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26681 has been resolved.

Comment 13 errata-xmlrpc 2020-04-14 13:24:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.